<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [promizr](./promizr.md) &gt; [applyEach](./promizr.applyeach.md)

## applyEach() function

Prepare a new function which call all `tasks` in parallel with given arguments. Returns an array with the result of all `tasks`<!-- -->.

<b>Signature:</b>

```typescript
export default function applyEach<T extends AsyncFunction[]>(tasks: T): (...args: Parameters<T[number]>) => Async<Array<ReturnType<T[number]>>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  tasks | T | Functions to run |

<b>Returns:</b>

(...args: Parameters&lt;T\[number\]&gt;) =&gt; [Async](./promizr.async.md)<!-- -->&lt;Array&lt;ReturnType&lt;T\[number\]&gt;&gt;&gt;

## Example


```typescript
const upper = (value: string) => value.toUpperCase();
const lower = (value: string) => value.toLowerCase();
const prefix = (value: string) => `prefix-${value}`;

const task = promizr.applyEach(action);

const res = await task("Value");
// res === ["VALUE", "value", "prefix-Value"]

```

