<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [promizr](./promizr.md) &gt; [applyOn](./promizr.applyon_1.md)

## applyOn() function

Same as [apply()](./promizr.apply.md) but call the `task` with `owner` `this` context

<b>Signature:</b>

```typescript
export default function applyOn<O, T extends Func>(owner: O, task: T, ...args: Parameters<T>): () => Async<ReturnType<T>>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  owner | O | <code>this</code> context to use when calling <code>task</code> |
|  task | T | The function to apply |
|  args | Parameters&lt;T&gt; | The <code>task</code> argument |

<b>Returns:</b>

() =&gt; [Async](./promizr.async.md)<!-- -->&lt;ReturnType&lt;T&gt;&gt;

## Example


```typescript
const lib = {
    upper(value: string): string { return value.toUpperCase() }
}

const task = promizr.applyOn(lib, lib.upper, "Value");

const res = await task();
// res === "VALUE"

```

