<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [promizr](./promizr.md) &gt; [reduce](./promizr.reduce.md)

## reduce() function

Reduces `array` into a single value using an async `iterator` to return each successive step. `memo` is the initial state of the reduction. This function only operates in series.

For performance reasons, it may make sense to split a call to this function into a parallel map, and then use the normal `Array.prototype.reduce` on the results.

This function is for situations where each step in the reduction needs to be async; if you can get the data before reducing it, then it's probably a good idea to do so.

<b>Signature:</b>

```typescript
export default function reduce<T, U>(array: T[], memo: U, iterator: AsyncReduceIterator<T, U>): Promise<U>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  array | T\[\] | The array to iterate on |
|  memo | U | The starting value for the reduce operation |
|  iterator | [AsyncReduceIterator](./promizr.asyncreduceiterator.md)<!-- -->&lt;T, U&gt; | The function that reduce each item and return the reduced result |

<b>Returns:</b>

Promise&lt;U&gt;

